/**************************
	AJAX Library Light
	By Neo101
	January 2008
**************************/


function XmlHttpObj(){
	var object, cache, aborted = false
	try{
		object = external.max_activex(SECURITY_ID, "Msxml2.XMLHTTP")
	}
	catch(err){
		try{
			object = new ActiveXObject("Msxml2.XMLHTTP")
		}
		catch(err){
			throw new Error('Could not load ActiveX object')
		}
	}
	
	this.connect = function(url, method, callBack, postData){
		object.open(method, url, true)
		object.onreadystatechange = function(){
			if(object.readyState == 4 && !aborted){
				if(object.status != 200 && object.status != 201){
					callBack.onFailure(object, callBack)
				} else {
					callBack.onSuccess(object, callBack)
				}
			}
		}
        if(callBack.headers){
            for(var headerName in callBack.headers){
                object.setRequestHeader(headerName, callBack.headers[headerName])
            }
        }
		object.send(postData)
	}
	
	this.abort = function(){
		if(object.readyState < 4){
			aborted = true
			object.abort()
		}
	}
}