function $(id){return document.getElementById(id);}
var Page ={

	Browser : (function(){
		var ua = navigator.userAgent;
		var isOpera = Object.prototype.toString.call(window.opera) == '[object Opera]';
		return {
		  IE:             !!window.attachEvent && !isOpera,
		  IE6:			  !!window.attachEvent && !isOpera && ([/MSIE (\d)\.0/i.exec(navigator.userAgent)][0][1] == 6),
		  IE8:			  !!window.XDomainRequest,
		  Opera:          isOpera,
		  WebKit:         ua.indexOf('AppleWebKit/') > -1,
		  Gecko:          ua.indexOf('Gecko') > -1 && ua.indexOf('KHTML') === -1,
		  MobileSafari:   /Apple.*Mobile.*Safari/.test(ua)
		 }
    })(),	
	
	getView:function(){		//获取document可见宽高
		var height = self.innerHeight; // Safari, Opera
		var width = self.innerWidth;  // Safari
		var mode = document.compatMode;
	
		if ( (mode || this.Browser.IE) && !this.Browser.Opera ) { // IE, Gecko
			height = (mode == 'CSS1Compat') ?
					document.documentElement.clientHeight : // Standards
					document.body.clientHeight; // Quirks
		}
		if (mode || this.Browser.IE) { // IE, Gecko, Opera
			width = (mode == 'CSS1Compat') ?
					document.documentElement.clientWidth : // Standards
					document.body.clientWidth; // Quirks
		}
		return {w:width,h:height}
	},
	
	preventDefault:function(e){
		var e = e || window.event;
		if(Page.Browser.IE){
			e.returnValue = false;
		}else{
			e.preventDefault(); 
		}
	},
	
	addEvent:function(element,t,f){
		var o = $(element);
		if(!o){
			return;
		}
		if (window.addEventListener) o.addEventListener(t, f, false);
		else if (window.attachEvent) o.attachEvent('on'+ t, f);
		else o['on'+ t] = f;
	},
	
	attr:function(id,name,value){
	
		var el = $(id);
		
		if(!el){
			return;
		}
		
		if(typeof(value) == 'undefined'){
			
			switch(name){
				case 'class' :
					return el.className;
				case 'style' : 
					return el.style.cssText;
				default:
					// fix IE href bug
					return (this.Browser.IE) ? el.getAttribute(name,2) : el.getAttribute(name) ;
			}
		
		}else{
		
			switch(name){
				case 'class' :
					el.className = value;
					break;
				case 'style' :
					el.style.cssText = value;
					break;
				default	:
					el.setAttribute(name, value);
			}
			
		}
		
	},	
	
	getWindowView:function(){
	
        var scrollWidth = (document.compatMode != 'CSS1Compat') ? document.body.scrollWidth : document.documentElement.scrollWidth;
        var scrollHeight = (document.compatMode != 'CSS1Compat') ? document.body.scrollHeight : document.documentElement.scrollHeight;
	    var w = Math.max(scrollWidth, this.getView().w);
        var h = Math.max(scrollHeight, this.getView().h);
		return {w:w,h:h}
		
	},
	
	getUrlParam:function(url,name,type){

		if(!type){
			var r = new RegExp("\\?(?:.+&)?" + name + "=(.*?)(?:&.*)?$");   
		}else{
			var r = new RegExp("\%3F(?:.+%26)?" + name + "%3D(.*?)(?:$26.*)?$");   
		}	
		var m = url.toString().match(r);    
		return m ? m[1] : "";

	},
	
	error404NoTip:function(url){
		$('gwtErrorDom').style.display = 'none';
		$('error404Dom').style.display = '';
		document.title = "无法打开页面";
	},
	
	go:function(key){
		var getObj = {
			"tn":"myie2dg",
			"ch":"9",
			"ie":"utf-8",
			"wd":decodeURIComponent(key)
		/*
			"query":decodeURIComponent(key),
			"pid":"sogou-brse-3c72a43f255c4f04"
		*/	
		}
		var formInput = $('keyHiddenDom');
		formInput.innerHTML = '';
		$('keyForm').action = 'http://www.baidu.com/s';
		var str ='';
		for (var i in getObj) {
			str += '<input type="hidden" name="'+i+'" value="'+getObj[i]+'" />';
		}
		formInput.innerHTML = str;
		$('keyForm').submit();
		window.setTimeout(function(){formInput.innerHTML = '';},10)
	},
	
	
	init:function(){

		var url = document.location.href;
		var n = url.lastIndexOf('#');
		var errorCode = external.max_get("lastError");
		if (-1 != n)
			url = url.substring(n + 1);
		if(url.indexOf('http://www.google.com.hk/') != -1 || url.indexOf('http://www.google.cn/') != -1){
			// fix double 'http://www.google.com.hk/'  bug
			var k_temp = this.getUrlParam(url,'q');
			if(k_temp.indexOf('http://www.google.com.hk/') != -1 || k_temp.indexOf('http://www.google.cn/') != -1){
				url = decodeURIComponent(k_temp.substring(k_temp.lastIndexOf('#')+1));
			}
			// GFW
			try{
				if(errorCode == -2146697208){
					var k = this.getUrlParam(url,'q');
					$('keyWord').value = decodeURIComponent(k);
					$('keyWord').focus();
					$('reloadLink').onclick = window.location.reload;
					Page.addEvent('keyForm','submit',function(e){
						Page.go(k);
						Page.preventDefault(e);
						return false;
					});	
				}else{
					// 404 无提示框
					this.error404NoTip(url);
				}
			}catch(e){
				// 404 无提示框
				this.error404NoTip(url);
			}
		} else if (200 == errorCode) {
			document.location = "about:blank";
		} else {
			// 404 无提示框
			this.error404NoTip(url);
		}
	}
};

var dataWebLinks = [
					
	{n:'百&nbsp;度',l:'http://www.baidu.com/index.php?tn=maxthon1dg'},
	{n:'Google谷歌',l:'http://www.google.com.hk/search?client=aff-maxthon&channel=channel3&q='},
	{n:'新&nbsp;浪',l:'http://sina.allyes.com/main/adfclick?db=sina&bid=150439,189374,194354&cid=0,0,0&sid=182091&advid=3406&camid=26067&show=ignore&url=http://www.sina.com.cn/'},
	{n:'网&nbsp;易',l:'http://www.163.com'},
	{n:'搜&nbsp;狐',l:'http://www.sohu.com'},
	{n:'腾讯QQ',l:'http://www.qq.com/'},
	
	{n:'人人网/校内',l:'http://www.xiaonei.com/'},
	{n:'开心网',l:'http://www.kaixin001.com'},
	{n:'天涯社区',l:'http://www.tianya.cn/'},
	{n:'猫扑大杂烩',l:'http://dzh.mop.com/'},
	{n:'大众点评网',l:'http://www.dianping.com'},
	{n:'百度贴吧',l:'http://tieba.baidu.com/'},
	

	{n:'当当',l:'http://union.dangdang.com/transfer/transfer.aspx?from=P-271135-shouyedaohang&backurl=http://www.dangdang.com'},
	{n:'淘宝网',l:'http://www.taobao.com/'},	
	
	{n:'新华网',l:'http://www.xinhuanet.com/'},
	{n:'凤凰网',l:'http://www.ifeng.com'},	
	{n:'携程网',l:'http://www.ctrip.com/smartlink/smartlink.asp?c=qiqf151&url=http://flights.ctrip.com/Domestic/SearchFlights.aspx'},
	{n:'瑞丽女性网',l:'http://www.rayli.com.cn/'},
	
	{n:'卓越',l:'http://www.amazon.cn/?source=maxthon'},

	{n:'京东商城',l:'http://www.360buy.com/union/union_default.asp?union_Id=168'},	
	{n:'联合早报',l:'http://www.zaobao.com'},
	{n:'太平洋网',l:'http://www.pconline.com.cn/'},
	{n:'中关村在线',l:'http://www.zol.com.cn/'},
	{n:'CCTV',l:'http://www.cctv.com/'},
	
	{n:'优酷网',l:'http://www.youku.com'},
	{n:'土豆网',l:'http://www.tudou.com'},
	{n:'迅雷看看',l:'http://www.xunlei.com/'},
	{n:'多玩',l:'http://www.duowan.com'},
	{n:'汽车之家',l:'http://www.autohome.com.cn/'},
	{n:'阿里巴巴',l:'http://china.alibaba.com?cosite=aoyou&location=alihomepage_dh'},
	
	{n:'工商银行',l:'http://www.icbc.com.cn/icbc/'},
	{n:'招商银行',l:'http://www.cmbchina.com/'},
	{n:'支付宝',l:'https://www.alipay.com/'},
	{n:'天天基金',l:'http://fund.eastmoney.com/'},
	{n:'中彩网',l:'http://www.zhcw.com/'},
	{n:'东方财富',l:'http://www.eastmoney.com/'},
	
	
	{n:'起点中文网',l:'http://www.qidian.com/'},
	{n:'4399小游戏',l:'http://www.4399.net'},
	{n:'51.com',l:'http://www.51.com'},
	{n:'世纪佳缘',l:'http://www.jiayuan.com/'},
	{n:'前程无忧',l:'http://www.51job.com/'},
	{n:'中国移动',l:'http://www.chinamobile.com/'}
	
];


var Error404 = {
	
	buildLink:function(type){
		var cur = 0;
		var baseUrl = 'http://stat-w.maxthon.com/stats?pn=maxstart_url&id=';
		var tempRow = 0;
		var str = '<table width="650" border="0" cellspacing="0" cellpadding="0">';
		for(var i=0; i< dataWebLinks.length;i++){
			if(i%6 ==0){
				cur ++;
				str += '<tr>';
			}
			var tempCell = i%6;
			if(tempCell == 0 && i !=0){
				tempRow ++;	
			}
			if(type){
				str += '<td><a href="'+baseUrl+tempRow+tempCell+'&url='+encodeURIComponent(dataWebLinks[i].l)+'" target="_blank">'+dataWebLinks[i].n+'</a></td>';
			}else{
				str += '<td><a href="'+dataWebLinks[i].l+'" target="_blank">'+dataWebLinks[i].n+'</a></td>';
			}
			if(i%6 ==5){
				str += '</tr>';	
			}
		}
		str += '</table>';
		$('linkTable').innerHTML = str;
	},
	
	searchKeyWord:function(e){
		var inputValue = $('keyWord404').value;
		if(inputValue == ''){
			return;	
		}
		var evt = e ? e : window.event;
		if(!!(window.attachEvent && !window.opera)){
			var trgDom =  evt.srcElement;
		}
		else{
			var trgDom =  evt.target;
		}
		inputValue = inputValue.replace(/\xb7/g, ' ');
		if(trgDom.id == 'baiduSearch'){	
		
			var url = 'http://www.baidu.com/s?tn=myie2dg&ch=4&ie=utf-8&wd='+encodeURIComponent(inputValue);	
			
		}else if(trgDom.id == 'sogouSearch'){
		
			var url = 'http://www.sogou.com/sogou?pid=sogou-brse-3c72a43f255c4f04&query='+encodeURIComponent(inputValue);
		}
		else{
			var url = 'http://www.google.com.hk/search?client=aff-maxthon&channel=stat&q='+encodeURIComponent(inputValue);
		}
		window.location.href = url;
	},	
	
	init:function(){
	
		this.buildLink();	//build link;	

		$('headerWrapper').className = 'headerWarpper wrapperBg2';
		$('innerHeader').className = 'innerHeader innerBg2';
		$('errImg').src=mxbase + 'images/otherError.jpg';
		
		$('baiduSearch').onclick = function(e){Error404.searchKeyWord(e)};
		$('googleSearch').onclick = function(e){Error404.searchKeyWord(e)};
		$('sogouSearch').onclick = function(e){Error404.searchKeyWord(e)};

		var url = document.location.href;
		var n = url.indexOf('#');
		if (-1 != n)
			url = url.substring(n + 1);
			
		if(url.indexOf('http://www.google.com.hk/') != -1 || url.indexOf('http://www.google.cn/') != -1){
			var k = Page.getUrlParam(url,'q');
			var currentType;
			// hack for second decode url
			if(k.indexOf('http://www.google.com.hk/') != -1 || k.indexOf('http://www.google.cn/') != -1){
				k = Page.getUrlParam(k,'q',true);
				currentType = true;
			}
			k = currentType ? decodeURIComponent(decodeURIComponent(k)) : decodeURIComponent(k);
			$('keyWord404').value = k;
			$('titleContent').style.fontSize = '120%';
			$('titleContent').innerHTML = '您正在尝试使用的谷歌搜索引擎目前服务不稳定，建议您使用其他引擎进行搜索.';
			$('googleSearch').style.display = 'none';
			$('sogouSearch').style.display = '';	
		}else{
			$('keyWord404').value = url;
			$('fressDom').onclick = function(){
			    document.location = $('keyWord404').value;
			};
		}
	}
}

document.onkeydown = function(el){
	if($('error404Dom').style.display == ''){
		var el = el ? el :window.event;
		if(el.keyCode=='13'){
			if($('keyWord404').value == ''){
				return;	
			}
			if(document.location.href.indexOf('http://www.google.com.hk/') != -1 || document.location.href.indexOf('http://www.google.cn/') != -1){
				
				var url = 'http://www.baidu.com/s?tn=myie2dg&ch=4&ie=utf-8&wd='+encodeURIComponent($('keyWord404').value);	
				window.location.href = url;
			}else{
				var url = 'http://www.google.cn/search?client=aff-maxthon&channel=stat&q='+encodeURIComponent($('keyWord404').value);
				window.location.href = url;
			}

		}
	}
}

Page.init();
Error404.init();


